import React,{Component} from 'react'

import { Form, Input, DatePicker,Row, Col,Button,Icon ,Select} from 'antd';
import moment from 'moment'
import { Random } from "random-js"

const FormItem = Form.Item;
const random = new Random(); 

export default class T20 extends Component
{
    
    name='20'
    desp = "Sender's Reference"
    pattern = "16x"
    tno = -1

    onChange=(val)=>{
        this.props.onValue([{s1:val},val])
    }

    render()
    {
        
        let day = new Date()
        let dayWrapper = moment(day)
        let mty=this.props.mty.substring(2).substring(0,3)
        let ref="BW"+mty+dayWrapper.format("X")+random.string(1);
        //console.log("ref-->"+ref)
        if (this.props.value){

        }else{
            this.props.onValue([{s1:ref},ref])
        }
        

        let value =this.props.value
        //console.log("value-->"+value)

        let mval = value && value.length? value[1] : ''
        let errmsg = value && value.length==3?value[2]:{}

        //console.log("value-->"+value)
        value = value && value.length? value[0] : {}

        //console.log("value-->"+value)
        //console.log("value s1-->"+value.s1)
        

        return (<Row>
            <Col span={21}> 
                <FormItem
                
                 help={errmsg.s1}
                 validateStatus={errmsg.s1?'error':null}
                >
                        <Input  addonAfter={<Button size="small"    type="primary"  shape="circle" icon="reload" title="reload 20 ref"
                   onClick={(e)=>{let day = new Date();
                    let dayWrapper = moment(day);
                    let ref="BW"+mty+dayWrapper.format("X")+random.string(1);console.log(ref);this.props.onValue([{s1:ref},ref])}} />  } maxLength={16} value={value.s1} defaultValue={ref} placeholder={this.props.desp} style={{'imeMode':'disabled'}} onChange={e=>this.onChange(e.target.value)}/>
                </FormItem>
            </Col>
            
            <Col span={1}></Col>
            
            {/*(this.props.mty && 'mt410,mt420,mt422,mt701'.indexOf(this.props.mty) > -100)?null:
            <Col span={2}><Button size="small" type="primary"  shape="circle" icon="plus" title="Gener Ref."/></Col>*/}
            
        </Row>)
    }
}